## kdebindings 4.5.1

=== ruby/CMakeLists.txt ===
project(Ruby)

set(COMPILE_RUBY FALSE CACHE INTERNAL "")

macro_optional_find_package(Ruby)

if (RUBY_LIBRARY AND RUBY_INCLUDE_DIRS AND RUBY_EXECUTABLE)
    set(COMPILE_RUBY TRUE CACHE INTERNAL "")
endif (RUBY_LIBRARY AND RUBY_INCLUDE_DIRS AND RUBY_EXECUTABLE)

macro_log_feature(COMPILE_RUBY "Ruby" "Ruby interpreter and libraries" "http://www.ruby-lang.org" FALSE "" "Needed to compile the Ruby bindings")

if (NOT COMPILE_RUBY)
    return()
endif (NOT COMPILE_RUBY)

SET(CUSTOM_RUBY_SITE_ARCH_DIR ${RUBY_SITEARCH_DIR} CACHE DIR "custom installation directory for ruby binary extension" )
SET(CUSTOM_RUBY_SITE_LIB_DIR ${RUBY_SITELIB_DIR} CACHE DIR "custom installation directory for ruby extension" )

# compute an overall version number which can be compared at once
MATH(EXPR RUBY_VERSION_NUMBER "${RUBY_VERSION_MAJOR}*10000 + ${RUBY_VERSION_MINOR}*100 + ${RUBY_VERSION_PATCH}")

macro_optional_add_bindings(QT_QTCORE_FOUND "QtRuby" qtruby)
macro_optional_add_bindings(QT_QTWEBKIT_FOUND "QtWebKit" qtwebkit)
macro_optional_add_bindings(QT_QTUITOOLS_FOUND "QtUiTools" qtuitools)
macro_optional_add_bindings(QT_QTSCRIPT_FOUND "QtScript" qtscript)
macro_optional_add_bindings(QT_QTTEST_FOUND "QtTest" qttest)

macro_optional_add_bindings(PHONON_FOUND "Phonon" phonon)

macro_optional_add_bindings(QSCINTILLA_FOUND "QScintilla" qscintilla)

macro_optional_add_bindings(Qwt5_Qt4_FOUND "Qwt" qwt)

macro_optional_add_bindings(Soprano_FOUND "Soprano" soprano)

if(KDEPIMLIBS_FOUND AND Akonadi_FOUND)
    set(BUILD_Akonadi TRUE)
else(KDEPIMLIBS_FOUND AND Akonadi_FOUND)
    set(BUILD_Akonadi FALSE)
endif(KDEPIMLIBS_FOUND AND Akonadi_FOUND)
macro_optional_add_bindings(BUILD_Akonadi "Akonadi" akonadi)

macro_optional_add_bindings(KDE4_FOUND "Korundum" korundum)
macro_optional_add_bindings(KDE4_FOUND "KIO" kio)
macro_optional_add_bindings(KDE4_FOUND "KHTML" khtml)
macro_optional_add_bindings(KDE4_FOUND "KTextEditor" ktexteditor)
macro_optional_add_bindings(KDE4_FOUND "Solid" solid)
macro_optional_add_bindings(KDE4_FOUND "Plasma" plasma)

# For nepomuk, we also must have found soprano, since soprano headers are used:
if(Soprano_FOUND AND Nepomuk_FOUND)
    set(BUILD_Nepomuk TRUE)
else(Soprano_FOUND AND Nepomuk_FOUND)
    set(BUILD_Nepomuk FALSE)
endif(Soprano_FOUND AND Nepomuk_FOUND)
macro_optional_add_bindings(BUILD_Nepomuk "Nepomuk" nepomuk)

macro_optional_add_bindings(OKULAR_FOUND "Okular" okular)

#####################################################################
# Kross Ruby

OPTION(ENABLE_KROSSRUBY "build Kross Ruby scripting library" ON)
#OPTION(ENABLE_KROSSRUBY "build Kross Ruby scripting library" OFF)

if (RUBY_EXECUTABLE AND RUBY_LIBRARY AND RUBY_INCLUDE_DIRS)
    EXECUTE_PROCESS(COMMAND ${RUBY_EXECUTABLE} -r mkmf -e "exit(have_func('rb_hash_foreach') ? 0 : 1)" RESULT_VARIABLE RUBY_HASH_FOREACH OUTPUT_QUIET)
    if (RUBY_HASH_FOREACH EQUAL 0)

        set(CMAKE_REQUIRED_INCLUDES ${RUBY_INCLUDE_DIRS})
        set(CMAKE_REQUIRED_LIBRARIES ${RUBY_LIBRARY})
        CHECK_CXX_SOURCE_COMPILES("
            #include <ruby.h>
            int main() { ruby_init(); return 0; }" RubyCompiles)
        if(RubyCompiles)
            if(ENABLE_KROSSRUBY AND RUBY_VERSION_MAJOR = 1 AND RUBY_VERSION_MINOR < 9)
                set(BUILD_KrossRuby TRUE)
            endif(ENABLE_KROSSRUBY AND RUBY_VERSION_MAJOR = 1 AND RUBY_VERSION_MINOR < 9)
        else(RubyCompiles)
            message(STATUS "Failed to compile a C++ program that embeds ruby.")
        endif(RubyCompiles)

    else (RUBY_HASH_FOREACH EQUAL 0)

        # 2007-02-12 sebsauer; this is a workaround for the case we failed to load
        # the "mkmf" library what is the case e.g. on some debian distributions.
        #EXECUTE_PROCESS(COMMAND ${RUBY_EXECUTABLE} -r mkmf -e "exit(0)" RESULT_VARIABLE RUBY_HASH_FOREACH OUTPUT_QUIET ERROR_QUIET)
        #if (${RUBY_HASH_FOREACH} EQUAL 0)
        message(STATUS "The detected Ruby is too old for kross. A Ruby which has rb_hash_foreach is required. Upgrade to 1.8.2 or later")
        #else (${RUBY_HASH_FOREACH} EQUAL 0)
        #    message(STATUS "Failed to load the Ruby mkmf library. Please install the Ruby developer packages.")
        #endif (${RUBY_HASH_FOREACH} EQUAL 0)

    endif (RUBY_HASH_FOREACH EQUAL 0)
endif (RUBY_EXECUTABLE AND RUBY_LIBRARY AND RUBY_INCLUDE_DIRS)
message(STATUS "Ruby Executable: " ${RUBY_EXECUTABLE})
message(STATUS "Ruby Libraries: " ${RUBY_LIBRARY})
message(STATUS "Ruby Include Directories: " ${RUBY_INCLUDE_DIRS})

macro_optional_add_bindings(BUILD_KrossRuby "KrossRuby" krossruby)

macro_display_bindings_log()

## kdebindings 4.4.5

=== debian/changelog ===
kdebindings (4:4.4.5-3) unstable; urgency=low

  [ Pino Toscano ]
  * python-kde4-dev needs to depend on python-kde4, otherwise pykdeuic4.py
    does not work. (Closes: #592286)
  * Few touches to the packages descriptions.
    - ... including the libsmokekutils3 one. (Closes: #592280)

  [ Modestas Vainius ]
  * Move python2.5 dependencies to python-kde4 Suggests (Closes: #595532).
    Even if python-kde4 still provides python2.5 bindings, Python 2.5 is no
    longer a default and hence it is not a pre-requisite for the package to be
    useful on standard Debian install.
  * Support DEB_BUILD_OPTIONS=parallel=X properly.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Mon, 13 Sep 2010 20:44:50 +0300

kdebindings (4:4.4.5-2) unstable; urgency=medium

  [ Modestas Vainius ]
  * Point debian/control Vcs fields to the new Git repository.

  [ Pino Toscano ]
  * Fix typo in description of libsmokekparts3. (Closes: #589904)

  [ Sune Vuorela ]
  * Only build the kpythonfactoryplugin on default python version, else
    it ends up a bit random which one is actually used when built parallel.
    Closes: #591422
  * Medium urgency due to rc bugfix.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sat, 07 Aug 2010 00:01:00 +0200

kdebindings (4:4.4.5-1) unstable; urgency=low

  [ Modestas Vainius ]
  * New upstream release.
     - Fix ruby marshalling. Closes: #586672
  * Bump kde-sc-dev-latest build dependency to 4:4.4.5.

  [ Sune Vuorela ]
  * Fix libsmokekfile description. Closes: 586440
  * Fix descriptions

 -- Sune Vuorela <sune@debian.org>  Sun, 18 Jul 2010 01:30:43 +0200

kdebindings (4:4.4.4-2) unstable; urgency=low

  * Added missing dependency on libqt4-ruby1.8. (Closes: #584651)
  * Fixed description of libsmokektexteditor3. (Closes: #585686)

 -- Michael Meskes <meskes@debian.org>  Tue, 15 Jun 2010 19:02:36 +0200

kdebindings (4:4.4.4-1) unstable; urgency=low

  * New upstream release.

  [ Pino Toscano ]
  * Fix typo in description of libplasma2.0-cil. (Closes: #581404)

  [ Sune Vuorela ]
  * Fix qt-dotnet config file. Thanks Dave Page. (Closes: 583112)
  * Update email address.

  [ Modestas Vainius ]
  * Bump pkg-kde-tools build dependency to (>= 0.9.2) for HTML_INSTALL_DIR
    switch, 3.0 (quilt) source format support and
    DEB_KDE_LINK_WITH_NO_UNDEFINED flag.
  * Switch to 3.0 (quilt) source package format and original tar.bz2
    tarballs.
  * Drop quilt from Build-Depends, no longer needed for 3.0 (quilt).
  * Remove debian/README.source. Patch support is part of source format
    now.
  * Bump kde-sc-dev-latest build dependency to 4:4.4.4.
  * Use default KDE 4 variables from variables.mk for building.
  * Replace usr/share/doc/kde4 references with usr/share/doc/kde.
  * Unhook quilt.make from debian/rules.
  * Drop support_armel_in_generator.diff patch, merged upstream.
  * Bump attica build dependency to 0.1.4 (just in case).

 -- Modestas Vainius <modax@debian.org>  Sat, 12 Jun 2010 11:36:26 +0300

kdebindings (4:4.4.3-2) unstable; urgency=low

  [ Michael Meskes ]
  * Made sure links are created in the right direction so they do not all
    dangle under the same name. (Closes: #580400, #580401)
  * Fixed typo in extended description. (Closes: #580117)

  [ Sune Vuorela ]
  * Make upstream create a patch to actually support armel. Steal the patch.
  * Fix segfault when trying to parse/write the akonadi smoke part. Patch
    acknowledged by upstream.

 -- Michael Meskes <meskes@debian.org>  Tue, 11 May 2010 11:27:06 +0200

kdebindings (4:4.4.3-1) unstable; urgency=low

  * New upstream release.

  [ Modestas Vainius ]
  * Bump kde-sc-dev-latest build dependency to 4.4.3.
  * Release KDE SC 4.4.3 to unstable.

  [ Pino Toscano ]
  * Few touches to the packages descriptions.
    - ... including the krosspython one. (Closes: #579712)

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sat, 01 May 2010 23:37:52 +0300

kdebindings (4:4.4.2-1) experimental; urgency=low

  * New upstream release.

  [ Modestas Vainius ]
  * Change my email address to modax@debian.org in Uploaders field.
  * Fix Vcs-Browser URL.
  * Add cmake to Build-Depends.
  * Add kde-sc-dev-latest (>= 4:4.4.2) to Build-Depends.
  * Bump KDE build dependencies to 4:4.4.

  [ Pino Toscano ]
  * Few touches to the packages descriptions.
    - ... including a typo in the python-kde4 one. (Closes: #567161)

  [ David Palacio ]
  * Refresh patches
    Remove 13_csharp_fix_build_deps.diff: applied upstream
  * Do not skip RPATH
  * New packages for modular Smoke
  * SO version bump to 3 for Smoke packages

  [ Sune Vuorela ]
  * Add a patch to make it possible to only install the sip files under some
    conditions.
  * Use dh_sip rather than the home brewn and fragile way of
    ensuring compatible sip versions. (Closes: #567528, #571924)
  * Add a smoke-dev-tools package with most needed tools to create new
    bindings.
  * Update install files
  * Version the cppparser library
  * Make CLI stuff following new policy regarding dev packages with
    unversioned pc files in -dev packages depending on the right binary
    packages; rename pc files.
  * Make several smoke dev packages
  * Replace strict hardcoded shlib interdependencies with a shlibs.local hack
    as seen in Qt
  * Write ${misc:Depends} everywhere
  * Use Modestas' new dh_sodeps tool; add pkg-kde-tools build dep for this.
  * Also consider various mono-required libs as monopackages in rules file

  [ Didier Raboud ]
  * Update the python-kde install list to include non-2.5 python versions.
    (Closes: #573292)

  [ Michael Meskes ]
  * Changed build dependency from python-sip4 to python-sip.
  * Added myself as uploader.
  * Bumped Standards-Version to 3.8.4, no changes needed.
  * Fixed shlibs handling.
  * Added missing section information to some dev packages.
  * Added some lintian overrides.
  * Install python-kde4 html docs. (Closes: #518646)



=== debian/control ===
Source: kdebindings
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Build-Depends: kde-sc-dev-latest (>= 4:4.4.5),
 debhelper (>= 7), cmake, pkg-kde-tools (>= 0.9.2),
 kdelibs5-dev (>= 4:4.4), libqt4-opengl-dev (>= 4.6.2), libphonon-dev (>= 4:4.6.0really),
 libsoprano-dev (>= 2.3.0), libqimageblitz-dev,
 python, python-all-dev, python-sip-dev (>= 4.10), python-qt4 (>> 4.7-2), python-qt4-dev (>> 4.7-2),
 ruby1.8-dev, ruby1.8, python-support (>= 0.6), 
 mono-devel (>= 2.0.1) [i386 kfreebsd-i386 powerpc amd64 kfreebsd-amd64 ia64 arm armeb armel sparc s390],
 cli-common-dev (>= 0.5.4) [i386 kfreebsd-i386 powerpc amd64 kfreebsd-amd64 ia64 arm armeb armel sparc s390],
 monodoc-base [i386 kfreebsd-i386 powerpc amd64 kfreebsd-amd64 ia64 arm armeb armel sparc s390],
 okular-dev (>= 4:4.3.90), kdepimlibs5-dev (>= 4:4.3.90), libakonadi-dev (>= 1.2.90), libattica-dev (>= 0.1.4), shared-desktop-ontologies
Uploaders: Torsten Marek <shlomme@debian.org>, Sune Vuorela <sune@debian.org>, David Palacio <dpalacio@uninorte.edu.co>, Modestas Vainius <modax@debian.org>, Michael Meskes <meskes@debian.org>
Standards-Version: 3.8.4
Homepage: http://www.kde.org
Vcs-Git: git://git.debian.org/pkg-kde/kde-sc/kdebindings.git
Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/kdebindings.git

Package: kdebindings-dbg
Section: debug
Architecture: any
Priority: extra
Depends: kdelibs5-dbg, libsmokeqt4-3 (= ${binary:Version}) | python-kde4 (= ${binary:Version}), ${misc:Depends}
Recommends: libruby1.8-dbg, python-qt4-dbg, mono-dbg
Description: debugging symbols for the KDE bindings module
 This package contains debugging files used to investigate problems with
 binaries included in the KDE bindings module.

Package: libsmokeqt4-3
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Architecture: any
Description: Qt Smoke libraries
 Smoke libraries are part of the bindings used for Qt and KDE. This package
 contains pure Qt Smoke.
 .
 Smoke provides infrastructure which is used for creating bindings for
 multiple languages such as Ruby, C# and PHP.
 .
 This is part of the KDE Bindings module.

Package: libsmokeqtcore4-3
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Architecture: any
Description: Qt Core Smoke library
 Smoke libraries are part of the bindings used for Qt and KDE. This package
 contains Qt Core Smoke.
 .
 Smoke provides infrastructure which is used for creating bindings for
 multiple languages such as Ruby, C# and PHP.
 .
 This is part of the KDE Bindings module.

Package: libsmokeqtgui4-3
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Architecture: any
Description: Qt Gui Smoke library
 Smoke libraries are part of the bindings used for Qt and KDE. This package
 contains Qt Gui Smoke.
 .
 Smoke provides infrastructure which is used for creating bindings for
 multiple languages such as Ruby, C# and PHP.
 .
 This is part of the KDE Bindings module.

Package: libsmokeqtdbus4-3
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Architecture: any
Description: Qt DBus Smoke library
 Smoke libraries are part of the bindings used for Qt and KDE. This package
 contains Qt DBus Smoke.
 .
 Smoke provides infrastructure which is used for creating bindings for
 multiple languages such as Ruby, C# and PHP.
 .
 This is part of the KDE Bindings module.

Package: libsmokeqtmultimedia4-3
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Architecture: any
Description: Qt Multimedia Smoke library
 Smoke libraries are part of the bindings used for Qt and KDE. This package
 contains Qt Multimedia Smoke.
 .
 Smoke provides infrastructure which is used for creating bindings for
 multiple languages such as Ruby, C# and PHP.
 .
 This is part of the KDE Bindings module.

Package: libsmokeqtnetwork4-3
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Architecture: any
Description: Qt Network Smoke library
 Smoke libraries are part of the bindings used for Qt and KDE. This package
 contains Qt Network Smoke.
 .
 Smoke provides infrastructure which is used for creating bindings for
 multiple languages such as Ruby, C# and PHP.
 .
 This is part of the KDE Bindings module.

Package: libsmokeqtopengl4-3
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Architecture: any
Description: Qt OpenGL Smoke library
 Smoke libraries are part of the bindings used for Qt and KDE. This package
 contains Qt OpenGL Smoke.
 .
 Smoke provides infrastructure which is used for creating bindings for
 multiple languages such as Ruby, C# and PHP.
 .
 This is part of the KDE Bindings module.

Package: libsmokeqtscript4-3
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Architecture: any
Description: Qt Script Smoke library
 Smoke libraries are part of the bindings used for Qt and KDE. This package
 contains Qt Script Smoke.
 .
 Smoke provides infrastructure which is used for creating bindings for
 multiple languages such as Ruby, C# and PHP.
 .
 This is part of the KDE Bindings module.

Package: libsmokeqtsql4-3
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Architecture: any
Description: Qt Sql Smoke library
 Smoke libraries are part of the bindings used for Qt and KDE. This package
 contains Qt Sql Smoke.
 .
 Smoke provides infrastructure which is used for creating bindings for
 multiple languages such as Ruby, C# and PHP.
 .
 This is part of the KDE Bindings module.

Package: libsmokeqtsvg4-3
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Architecture: any
Description: Qt Svg Smoke library
 Smoke libraries are part of the bindings used for Qt and KDE. This package
 contains Qt Svg Smoke.
 .
 Smoke provides infrastructure which is used for creating bindings for
 multiple languages such as Ruby, C# and PHP.
 .
 This is part of the KDE Bindings module.

Package: libsmokeqttest4-3
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Architecture: any
Description: Qt Test Smoke library
 Smoke libraries are part of the bindings used for Qt and KDE. This package
 contains Qt Test Smoke.
 .
 Smoke provides infrastructure which is used for creating bindings for
 multiple languages such as Ruby, C# and PHP.
 .
 This is part of the KDE Bindings module.

Package: libsmokeqtuitools4-3
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Architecture: any
Description: Qt Ui Tools Smoke library
 Smoke libraries are part of the bindings used for Qt and KDE. This package
 contains Qt Ui Tools Smoke.
 .
 Smoke provides infrastructure which is used for creating bindings for
 multiple languages such as Ruby, C# and PHP.
 .
 This is part of the KDE Bindings module.

Package: libsmokeqtwebkit4-3
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Architecture: any
Description: Qt WebKit Smoke library
 Smoke libraries are part of the bindings used for Qt and KDE. This package
 contains Qt WebKit Smoke.
 .
 Smoke provides infrastructure which is used for creating bindings for
 multiple languages such as Ruby, C# and PHP.
 .
 This is part of the KDE Bindings module.

Package: libsmokeqtxml4-3
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Architecture: any
Description: Qt Xml Smoke library
 Smoke libraries are part of the bindings used for Qt and KDE. This package
 contains Qt Xml Smoke.
 .
 Smoke provides infrastructure which is used for creating bindings for
 multiple languages such as Ruby, C# and PHP.
 .
 This is part of the KDE Bindings module.

Package: libsmokeqtxmlpatterns4-3
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Architecture: any
Description: Qt XmlPatterns Smoke library
 Smoke libraries are part of the bindings used for Qt and KDE. This package
 contains Qt XmlPatterns Smoke.
 .
 Smoke provides infrastructure which is used for creating bindings for
 multiple languages such as Ruby, C# and PHP.
 .
 This is part of the KDE Bindings module.

Package: libsmokephonon3
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Architecture: any
Description: Qt Phonon Smoke library
 Smoke libraries are part of the bindings used for Qt and KDE. This package
 contains Phonon Smoke.
 .
 Smoke provides infrastructure which is used for creating bindings for
 multiple languages such as Ruby, C# and PHP.
 .
 This is part of the KDE Bindings module.

Package: libsmokeqt4-dev
Section: libdevel
Depends: ${so:Depends}, ${shlibs:Depends}, ${misc:Depends}
Architecture: any
Description: development files for Qt Smoke libraries
 Smoke libraries are part of the bindings used for Qt and KDE. This package
 contains pure Qt Smoke.
 .
 Smoke provides infrastructure which is used for creating bindings for
 multiple languages such as Ruby, C# and PHP.
 .
 This package contains development files.
 .
 This is part of the KDE Bindings module.

Package: libsmokeqimageblitz3
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Architecture: any
Description: QImageBlitz Smoke libraries
 Smoke libraries are part of the bindings used for Qt and KDE. This package
 contains QImageBlitz Smoke.
 .
 Smoke provides infrastructure which is used for creating bindings for
 multiple languages such as Ruby, C# and PHP.
 .
 This is part of the KDE Bindings module.

Package: libsmokekdecore4-3
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Architecture: any
Description: KDE Core Smoke libraries
 Smoke libraries are part of the bindings used for Qt and KDE. This package
 contains the KDE Core parts of Smoke.
 .
 Smoke provides infrastructure which is used for creating bindings for
 multiple languages such as Ruby, C# and PHP.
 .
 This is part of the KDE Bindings module.

Package: libsmokekdeui4-3
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Architecture: any
Description: KDE Ui Smoke libraries
 Smoke libraries are part of the bindings used for Qt and KDE. This package
 contains the KDE User Interface parts of Smoke.
 .
 Smoke provides infrastructure which is used for creating bindings for
 multiple languages such as Ruby, C# and PHP.
 .
 This is part of the KDE Bindings module.

Package: libsmokekfile3
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Architecture: any
Description: KFile Smoke library
 Smoke libraries are part of the bindings used for Qt and KDE. This package
 contains the KFile parts of Smoke.
 .
 Smoke provides infrastructure which is used for creating bindings for
 multiple languages such as Ruby, C# and PHP.
 .
 This is part of the KDE Bindings module.

Package: libsmokekparts3
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Architecture: any
Description: KParts Smoke libraries
 Smoke libraries are part of the bindings used for Qt and KDE. This package
 contains the KParts parts of Smoke.
 .
 Smoke provides infrastructure which is used for creating bindings for
 multiple languages such as Ruby, C# and PHP.
 .
 This is part of the KDE Bindings module.

Package: libsmokektexteditor3
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Architecture: any
Description: KTextEditor Smoke libraries
 Smoke libraries are part of the bindings used for Qt and KDE. This package
 contains the KDE KTextEditor parts of Smoke.
 .
 Smoke provides infrastructure which is used for creating bindings for
 multiple languages such as Ruby, C# and PHP.
 .
 This is part of the KDE Bindings module.

Package: libsmokekutils3
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Architecture: any
Description: KUtils Smoke libraries
 Smoke libraries are part of the bindings used for Qt and KDE. This package
 contains the KUtils parts of Smoke.
 .
 Smoke provides infrastructure which is used for creating bindings for
 multiple languages such as Ruby, C# and PHP.
 .
 This is part of the KDE Bindings module.

Package: libsmokesolid3
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Architecture: any
Description: Solid Smoke libraries
 Smoke libraries are part of the bindings used for Qt and KDE. This package
 contains the Solid parts of Smoke.
 .

=== debian/rules ===
#! /usr/bin/make -f

DEB_KDE_LINK_WITH_AS_NEEDED := yes
DEB_KDE_LINK_WITH_NO_UNDEFINED := no
include /usr/share/pkg-kde-tools/makefiles/1/variables.mk

ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
    NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
    MAKEFLAGS += -j$(NUMJOBS)
endif

ARCH := $(shell dpkg-architecture -qDEB_HOST_ARCH)
MONOARCHS := "i386 kfreebsd-i386 powerpc amd64 kfreebsd-amd64 lpia ia64 arm armeb armel sparc s390"
MONOPACKAGES := $(shell dh_listpackages | grep '\-cil$$') plasma-scriptengine-kimono kio-monodoc libkimono-cil-dev libqyoto-cil-dev libqyotoshared1 qyoto-dev
DH_MONOPACKAGES := $(patsubst %,-p%,$(MONOPACKAGES))
DH_NO_MONOPACKAGES := $(patsubst %,-N%,$(MONOPACKAGES))
MONO_L_PATHS = $(shell find $(patsubst %,debian/%,$(MONOPACKAGES)) -path '*/usr/lib/cli/*' -name '*.dll' -type f -printf '%h:') 

DEST=$(CURDIR)/debian/tmp
DEST_USR_LIB=$(DEST)/usr/lib

pkgs_lib := $(filter-out %-dev %-dbg %ruby %cil,$(filter lib%,$(shell dh_listpackages)))
current_version := $(shell dpkg-parsechangelog | sed -n 's/^Version: //p')



ifneq (,$(findstring $(ARCH),$(MONOARCHS)))
export MONO_DISABLE_SHM = 1
MONOFLAGS=-DENABLE_KHTML_SHARP=ON 
MONOTARGET=monospecific
else
MONO=OFF
MONOFLAGS=-DENABLE_QYOTO=off

endif


##

#generic kde4 stuff
cmake_flags := \
    -DCMAKE_INSTALL_PREFIX=/usr     \
    -DCMAKE_USE_RELATIVE_PATHS=ON   \
    -DCMAKE_VERBOSE_MAKEFILE=ON     \
    \
    $(DEB_CMAKE_KDE4_FLAGS) $(DEB_CMAKE_CUSTOM_FLAGS)

# OK, here we disable all that we don't want.
# Please remove lines as you add packaging support for them.
# Do NOT remove ENABLE_PYKDE4, it gets special handling below. -- Dato
RUBY_SITEARCH=$(shell ruby1.8 -rrbconfig -e 'puts Config::CONFIG["sitearch"]')
cmake_flags += \
	-DENABLE_PYKDE4=OFF\
	-DENABLE_SOPRANO_SMOKE=ON \
	-DENABLE_NEPOMUK_SMOKE=ON \
	-DENABLE_NEPOMUK_RUBY=ON \
	-DENABLE_PHONON_RUBY=ON \
	-DCUSTOM_RUBY_SITE_LIB_DIR=/usr/lib/ruby/1.8/ \
	-DCUSTOM_RUBY_SITE_ARCH_DIR=/usr/lib/ruby/1.8/$(RUBY_SITEARCH) \
	$(MONOFLAGS)

##

DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

objdir = $(CURDIR)/obj-$(DEB_HOST_GNU_TYPE)

##

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
    CFLAGS += -O0
else
    CFLAGS += -O2
endif

##

pydefault  := $(shell pyversions --default)
pyversions := $(shell pyversions -vr)
pydefaultversion := $(shell pyversions -vd)
cmake_flags += -DPYTHON_EXECUTABLE=/usr/bin/$(pydefault)
DEFAULT_PYTHON_ARGS=-DERRORORRORERROR

ifeq (,$(pyversions)) 
$(error "no suitable pythonversion found, failing")
endif

##

$(objdir)/Makefile:
	mkdir -p $(objdir)
	@echo building all bindings except python bindings. Later building python bindings for $(pyversions).
	cd $(objdir) && cmake $(CURDIR) $(cmake_flags) \
	    -DCMAKE_C_FLAGS="$(CFLAGS)" -DCMAKE_CXX_FLAGS="$(CFLAGS)"

##

$(patsubst %,$(objdir)/python/pykde4-%/Makefile,$(pyversions)): $(objdir)/Makefile
	mkdir -p $(@D)	
	cd  $(@D) && cmake $(CURDIR)/python/pykde4 $(cmake_flags) \
	    -DPYTHON_EXECUTABLE=/usr/bin/python$(subst $(objdir)/python/pykde4-,,$(subst /Makefile,,$@)) \
	    $(if $(findstring $(pydefaultversion),$@),-DDEFAULT_PYTHON_VERSION=true,-DDEFAULT_PYTHON_VERSION=false)

##
$(patsubst %,build-stamp-python-%,$(pyversions)): $(patsubst %,$(objdir)/python/pykde4-%/Makefile,$(pyversions))
	$(MAKE) -C $(objdir)/python/pykde4-$(subst build-stamp-python-,,$@)
	touch $@


build: build-stamp
build-stamp: $(patsubst %,build-stamp-python-%,$(pyversions)) build-stamp-generic
	touch $@

build-stamp-generic: $(objdir)/Makefile 
	$(MAKE) -C $(objdir)
	touch $@

##

clean::
	dh_testdir
	dh_testroot
	
	rm -f build-stamp
	rm -f build-stamp-*
	rm -f debian/cdbs-install-list debian/cdbs-package-list
	rm -rf $(objdir)
	rm -f debian/shlibs.local
	
	dh_clean

##
install-pre:
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

$(patsubst %,install-python-%,$(pyversions)): install-pre
	$(MAKE) -C $(objdir)/python/pykde4-$(subst install-python-,,$@) install DESTDIR=$(CURDIR)/debian/tmp; \

install-generic: install-pre $(patsubst %,install-python-%,$(pyversions))
	$(MAKE) -C $(objdir) install DESTDIR=$(CURDIR)/debian/tmp

install: $(MONOTARGET) install-generic
#	rmdir debian/tmp/usr/share/doc/kde/HTML/en/pykde4/creative\ commons_files/
#	install -D -m 755 debian/tmp/usr/share/kde4/apps/pykde4/pykdeuic4.py \
#	    debian/python-kde4-dev/usr/bin/pykdeuic4

# Separate target (from monospecific) is needed for $(MONO_L_PATHS)
# to work properly
install-mono: install-pre install-generic
	make -C $(objdir)/csharp/kimono/examples/kio/kio_monodoc
	make -C $(objdir)/csharp/kimono/examples/kio/kio_monodoc install DESTDIR=$(CURDIR)/debian/tmp/
	dh_install $(DH_MONOPACKAGES)

monospecific: export DH_OPTIONS=
monospecific: install-mono
	#setting MONOPATH is a hack to hack around a bug in dh_makeclilibs. Reported as #498868
	MONO_PATH=$(CURDIR)/debian/libqyoto4.4-cil/usr/lib/cli/kdebindings-4.4/ dh_makeclilibs -V $(DH_MONOPACKAGES)
	dh_installcligac $(DH_MONOPACKAGES)
	dh_clifixperms $(DH_MONOPACKAGES)
	dh_makeclilibs -V $(DH_MONOPACKAGES)
	dh_clideps -l$(MONO_L_PATHS) $(DH_MONOPACKAGES)
	dh_clistrip --dbg-package=kdebindings-dbg $(DH_MONOPACKAGES)

##

binary: binary-arch binary-indep

binary-arch: export DH_OPTIONS=-s
binary-indep: export DH_OPTIONS=-i

binary-indep binary-arch: build install
	# Building $@. DH_OPTIONS=$(DH_OPTIONS)
	dh_install $(DH_NO_MONOPACKAGES)
	dh_testdir
	dh_testroot
	dh_lintian
	dh_installchangelogs ChangeLog
	dh_installdocs
	dh_installexamples
	dh_installman
	dh_pysupport
	dh_sip -ppython-kde4
	dh_link
	dh_strip --dbg-package=kdebindings-dbg
	dh_compress
	dh_fixperms
	dh_makeshlibs -V -X/cli/
# Generate shlibs local files
	for pkg in $(pkgs_lib); do \
		if test -e debian/$${pkg}/DEBIAN/shlibs ; then \
			sed 's/>=[^)]*/= $(current_version)/' debian/$${pkg}/DEBIAN/shlibs >> debian/shlibs.local ;\
		fi \
	done
	dh_sodeps
	if [ -d debian/python-kde4 ]; then \
		DH_OPTIONS= dh_shlibdeps -ppython-kde4 -X"usr/lib/pyshared/python2.5/PyKDE4/" -- \
        	-dSuggests debian/python-kde4/usr/lib/pyshared/python2.5/PyKDE4/*.so -dDepends; \
	fi
	dh_shlibdeps -Npython-kde4
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

##

.PHONY: build clean install binary binary-arch binary-indep binary-common

##### List missing implementation from CDBS #####

DEB_ALL_PACKAGES := $(shell dh_listpackages)
DEB_SOURCE_PACKAGE := $(shell grep 'Source:' debian/control | sed 's/^Source: \?\(.*\)$$/\1/')

list-missing:
	@if test -d debian/tmp; then \
	  (cd debian/tmp && find . -type f -o -type l | grep -v '/DEBIAN/' | sort) > debian/cdbs-install-list; \
	  (for package in $(DEB_ALL_PACKAGES); do \
	     (cd debian/$$package && find . -type f -o -type l); \
	   done; \
	   test -e debian/not-installed && grep -v '^#' debian/not-installed; \
	   ) | sort -u > debian/cdbs-package-list; \
	  diff -u debian/cdbs-install-list debian/cdbs-package-list | sed '1,2d' | egrep '^-' || true; \
	else \
	  echo "All files were installed into debian/$(DEB_SOURCE_PACKAGE)."; \
	fi

.PHONY: list-missing

=== debian/watch ===
version=3
ftp://ftp.kde.org/pub/kde/stable/([\d\.]+)/src/kdebindings-([\d\.]+)\.tar\.bz2

## kdebindings 4.5.1

=== debian/changelog ===
kdebindings (4:4.5.1-0ubuntu3) maverick; urgency=low

  * libsmokeqscintilla3 replaces libsmokeqt4-3 (<= 4:4.4.2-0ubuntu2)
  * libqyotoshared1 replaces/conflicts libqyoto4.4-cil (LP: #513361)
  * Add kubuntu_04_improve_logic_for_qflags.diff from upstream
    (http://bugs.kde.org/show_bug.cgi?id=249567)

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Tue, 07 Sep 2010 18:44:57 +0200

kdebindings (4:4.5.1-0ubuntu2) maverick; urgency=low

  * Unbump build-dep version on libqt4-opengl-dev so we can actually build the
    package in the archive

 -- Scott Kitterman <scott@kitterman.com>  Thu, 02 Sep 2010 21:25:59 -0400

kdebindings (4:4.5.1-0ubuntu1) maverick; urgency=low

  * New upstream release
    - Bump build-depends
    - Add kubuntu_01_fix_krossruby_cmake_syntax.diff to use proper cmake syntax
      (EQUAL, LESS...) when checking whether to build krossruby
      (http://websvn.kde.org/?view=revision&revision=1170254)
    - Fix qt-dotnet.dll.config (LP: #627536)

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Mon, 30 Aug 2010 21:03:06 +0200

kdebindings (4:4.5.0b-0ubuntu2) maverick; urgency=low

  [ Mackenzie Morgan ]
  * debian/control:
    - Change python-kde4 back from Recommends to Depends so as not to 
      break build dependencies on other packages (LP: #614866)

  [ Jonathan Riddell ]
  * Add kubuntu_03_pykde_arm.diff from Michael Casadevall fix pykde on
    ARM
  * In debian/rules turn off smoke, ruby and mono for arm, smoke doesn't compile
  * In debian/rules remove arm from MONOARCHES
  * In debian/control change smoke, ruby and mono arch any packages to non-arm arches

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 24 Aug 2010 19:04:26 +0100

kdebindings (4:4.5.0b-0ubuntu1) maverick; urgency=low

  * New tar from upstream

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 04 Aug 2010 23:20:02 +0100

kdebindings (4:4.5.0-0ubuntu1) maverick; urgency=low
  
  [ Michał Zając ]
  * New upstream release
    - Bump on build-depends

  [ Harald Sitter ]
  * Drop kubuntu_03_qt_no_style_s60.diff (origin: upstream -> applied)
  * Turn libsmokeqtmultimedia into dust because we do not build
    libqt4-multimedia any more, since it got renamed to QtMultimediaKit and is
    now part of qtmobility-dev.
  * Add libqscintilla2.2-cil and libphonon4.4-cil
  * Fix -dev packaging:
    + Soprano smoke headers go from libsmokeqt4-dev to libsmokesoprano-dev
    + Nepomuk, Attica and all k* go headers go from libsmokeqt4-dev to
      libsmokekde-dev

 -- Michał Zając <michal.zajac@gmail.com>  Sat, 31 Jul 2010 10:52:03 +0200

kdebindings (4:4.4.92-0ubuntu2) maverick; urgency=low

  [ Felix Geyer ]
  * Replace libqt4-webkit-dev build-dep with libqtwebkit-dev.

  [ Jonathan Riddell ]
  * Build against latest sip and pyqt4

 -- Felix Geyer <debfx-pkg@fobos.de>  Wed, 21 Jul 2010 10:22:51 +0200

kdebindings (4:4.4.92-0ubuntu1) maverick; urgency=low

  * New upstream beta release
    - Bump build-depends
    - Refresh patches
    - Add kubuntu_03_qt_no_style_s60.diff from upstream to fix building with
      Qt 4.7 (https://bugs.kde.org/show_bug.cgi?id=243971)
    - Add libqt4-multimedia to build-depends to build libsmokeqtmultimedia
    - Update smoke-dev-tools.install
    - Fix not-installed file

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Thu, 08 Jul 2010 04:28:44 +0200

kdebindings (4:4.4.90-0ubuntu1) maverick; urgency=low

  * New upstream beta release
    - Bump build-depends
    - libkde4-ruby1.8 depends on libqt4-ruby1.8
  * Sync debian/rules with Debian

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Thu, 24 Jun 2010 22:40:26 +0200

kdebindings (4:4.4.85-0ubuntu1) maverick; urgency=low

  * New upstream beta release
    - Bump build-depends
    - Remove patches, fixed by upstream:
      - kubuntu_01_pykde4_include_dir.diff
      - kubuntu_03_make_qscintilla_work

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Tue, 08 Jun 2010 02:45:49 +0200

kdebindings (4:4.4.80-0ubuntu4) maverick; urgency=low

  * Add more replaces for libsmoke libraries moved out of
    libsmokeqt4-3 and libsmokekde4-3

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 01 Jun 2010 18:41:26 +0000

kdebindings (4:4.4.80-0ubuntu3) maverick; urgency=low

  * Make libqwt-ruby1.8 and libqscintilla-ruby1.8 arch any

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 31 May 2010 19:34:50 +0000

kdebindings (4:4.4.80-0ubuntu2) maverick; urgency=low

  * libsmokeqtsql and libsmokeqtopengl replace old libsmokeqt4

 -- Jonathan Riddell <jriddell@ubuntu.com>  Sun, 30 May 2010 14:29:19 +0000

kdebindings (4:4.4.80-0ubuntu1) maverick; urgency=low

  * New upstream beta release
    - Bump build-depends
    - Switch to dpkg-source 3.0 (quilt) format
    - Update support_armel_in_generator.diff
    - Add libqscintilla2-dev, libqwt5-qt4-dev to build-depends
    - Add new packages:
      - libsmokebase4-3
      - libqscintilla-ruby1.8
      - libqwt-ruby1.8
      - libsmokeqscintilla3
      - libsmokeqwt3
    - Update various install files
    - Add several Replaces
    - Add kubuntu_02_dont_build_kio_monodoc.diff to prevent ftbs
    - Add kubuntu_03_make_qscintilla_work.diff (from KDE trunk)
    - debian/rules:
      - Disable rules for kio_monodoc

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Tue, 25 May 2010 19:34:02 +0200

kdebindings (4:4.4.3-2ubuntu1) maverick; urgency=low

  * Sync with Debian
  * Add build-dep on libqt4-webkit-dev
  * Add kubuntu_01_pykde4_include_dir.diff to fix pykde compilation

 -- Jonathan Riddell <jriddell@ubuntu.com>  Sat, 22 May 2010 11:23:57 +0000

kdebindings (4:4.4.2-0ubuntu2) lucid; urgency=low

  * Don't build smoke-dev-tools on armel

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 31 Mar 2010 23:33:08 +0100

kdebindings (4:4.4.2-0ubuntu1) lucid; urgency=low

  * New upstream release
    - Bump build-depends
    - Update libsmokeqt4-dev.install
  * New package smoke-dev-tools
    - Add smoke-dev-tools.install



=== debian/control ===
Source: kdebindings
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Build-Depends: kde-sc-dev-latest (>= 4:4.5.1),
 debhelper (>= 7.3.16), cmake, pkg-kde-tools,
 kdelibs5-dev (>= 4:4.5), libqt4-opengl-dev (>= 4:4.7.0~beta2), libqtwebkit-dev, libphonon-dev (>= 4:4.7.0really4.4.2),
 libsoprano-dev (>= 2.5.0), libqimageblitz-dev,
 python, python-all-dev, python-sip-dev (>= 4.10.5), python-qt4 (>> 4.7.4), python-qt4-dev (>> 4.7.4),
 ruby1.8-dev, ruby1.8, python-support (>= 0.6),
 mono-devel (>= 2.0.1) [i386 kfreebsd-i386 powerpc amd64 kfreebsd-amd64 ia64 arm armeb armel sparc s390],
 cli-common-dev (>= 0.5.4) [i386 kfreebsd-i386 powerpc amd64 kfreebsd-amd64 ia64 arm armeb armel sparc s390],
 monodoc-base [i386 kfreebsd-i386 powerpc amd64 kfreebsd-amd64 ia64 arm armeb armel sparc s390],
 okular-dev (>= 4:4.5), kdepimlibs5-dev (>= 4:4.5), libakonadi-dev (>= 1.3.85), libattica-dev,
 shared-desktop-ontologies, libqscintilla2-dev, libqwt5-qt4-dev
Uploaders: Torsten Marek <shlomme@debian.org>, Sune Vuorela <debian@pusling.com>, David Palacio <dpalacio@uninorte.edu.co>, Modestas Vainius <modax@debian.org>, Michael Meskes <meskes@debian.org>
Standards-Version: 3.8.4
Homepage: http://www.kde.org
Vcs-Svn: svn://svn.debian.org/svn/pkg-kde/trunk/packages/kdebindings
Vcs-Browser: http://svn.debian.org/wsvn/pkg-kde/trunk/packages/kdebindings/#_trunk_packages_kdebindings_

Package: kdebindings-dbg
Section: debug
Architecture: i386 amd64 ia64 powerpc sparc
Priority: extra
Depends: kdelibs5-dbg, libsmokeqt4-3 (= ${binary:Version}) | python-kde4 (= ${binary:Version}), ${misc:Depends}
Recommends: libruby1.8-dbg, python-qt4-dbg, mono-dbg
Description: debugging symbols for the KDE 4 bindings module
 This package contains debugging files used to investigate problems with
 binaries included in the KDE 4 bindings module.

Package: libsmokebase4-3
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Architecture: i386 amd64 ia64 powerpc sparc
Description: Qt 4 Core Smoke library
 Smoke libraries are part of the bindings used for Qt and KDE. This package
 contains Qt 4 Core Smoke.
 .
 Smoke provides infrastructure which is used for creating bindings for
 multiple languages such as Ruby, C# and PHP.
 .
 This is part of the KDE Bindings module.

Package: libsmokeqt4-3
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Architecture: i386 amd64 ia64 powerpc sparc
Description: Qt 4 Smoke libraries
 Smoke libraries are part of the bindings used for Qt and KDE. This package
 contains pure Qt 4 Smoke.
 .
 Smoke provides infrastructure which is used for creating bindings for
 multiple languages such as Ruby, C# and PHP.
 .
 This is part of the KDE Bindings module.

Package: libsmokeqtcore4-3
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Architecture: i386 amd64 ia64 powerpc sparc
Replaces: libsmokeqt4-3 (<< 4:4.4.80)
Description: Qt 4 Core Smoke library
 Smoke libraries are part of the bindings used for Qt and KDE. This package
 contains Qt 4 Core Smoke.
 .
 Smoke provides infrastructure which is used for creating bindings for
 multiple languages such as Ruby, C# and PHP.
 .
 This is part of the KDE Bindings module.

Package: libsmokeqtgui4-3
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Architecture: i386 amd64 ia64 powerpc sparc
Replaces: libsmokeqt4-3 (<< 4:4.4.80)
Description: Qt 4 Gui Smoke library
 Smoke libraries are part of the bindings used for Qt and KDE. This package
 contains Qt 4 Gui Smoke.
 .
 Smoke provides infrastructure which is used for creating bindings for
 multiple languages such as Ruby, C# and PHP.
 .
 This is part of the KDE Bindings module.

Package: libsmokeqtdbus4-3
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: libsmokeqt4-3 (<< 4:4.4.80)
Architecture: i386 amd64 ia64 powerpc sparc
Description: Qt 4 DBus Smoke library
 Smoke libraries are part of the bindings used for Qt and KDE. This package
 contains Qt 4 DBus Smoke.
 .
 Smoke provides infrastructure which is used for creating bindings for
 multiple languages such as Ruby, C# and PHP.
 .
 This is part of the KDE Bindings module.

#Package: libsmokeqtmultimedia4-3
#Section: libs
#Depends: ${shlibs:Depends}, ${misc:Depends}
#Replaces: libsmokeqt4-3 (<< 4:4.4.80)
#Architecture: any
#Description: Qt 4 Multimedia Smoke library
# Smoke libraries are part of the bindings used for Qt and KDE. This package
# contains Qt 4 Multimedia Smoke.
# .
# Smoke provides infrastructure which is used for creating bindings for
# multiple languages such as Ruby, C# and PHP.
# .
# This is part of the KDE Bindings module.

Package: libsmokeqtnetwork4-3
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: libsmokeqt4-3 (<< 4:4.4.80)
Architecture: i386 amd64 ia64 powerpc sparc
Description: Qt 4 Network Smoke library
 Smoke libraries are part of the bindings used for Qt and KDE. This package
 contains Qt 4 Network Smoke.
 .
 Smoke provides infrastructure which is used for creating bindings for
 multiple languages such as Ruby, C# and PHP.
 .
 This is part of the KDE Bindings module.

Package: libsmokeqtopengl4-3
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Architecture: i386 amd64 ia64 powerpc sparc
Replaces: libsmokeqt4-3 (<< 4:4.4.80)
Description: Qt 4 OpenGL Smoke library
 Smoke libraries are part of the bindings used for Qt and KDE. This package
 contains Qt 4 OpenGL Smoke.
 .
 Smoke provides infrastructure which is used for creating bindings for
 multiple languages such as Ruby, C# and PHP.
 .
 This is part of the KDE Bindings module.

Package: libsmokeqtscript4-3
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: libsmokeqt4-3 (<< 4:4.4.80)
Architecture: i386 amd64 ia64 powerpc sparc
Description: Qt 4 Script Smoke library
 Smoke libraries are part of the bindings used for Qt and KDE. This package
 contains Qt 4 Script Smoke.
 .
 Smoke provides infrastructure which is used for creating bindings for
 multiple languages such as Ruby, C# and PHP.
 .
 This is part of the KDE Bindings module.

Package: libsmokeqtsql4-3
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Architecture: i386 amd64 ia64 powerpc sparc
Replaces: libsmokeqt4-3 (<< 4:4.4.80)
Description: Qt 4 Sql Smoke library
 Smoke libraries are part of the bindings used for Qt and KDE. This package
 contains Qt 4 Sql Smoke.
 .
 Smoke provides infrastructure which is used for creating bindings for
 multiple languages such as Ruby, C# and PHP.
 .
 This is part of the KDE Bindings module.

Package: libsmokeqtsvg4-3
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: libsmokeqt4-3 (<< 4:4.4.80)
Architecture: i386 amd64 ia64 powerpc sparc
Description: Qt 4 Svg Smoke library
 Smoke libraries are part of the bindings used for Qt and KDE. This package
 contains Qt 4 Svg Smoke.
 .
 Smoke provides infrastructure which is used for creating bindings for
 multiple languages such as Ruby, C# and PHP.
 .
 This is part of the KDE Bindings module.

Package: libsmokeqttest4-3
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: libsmokeqt4-3 (<< 4:4.4.80)
Architecture: i386 amd64 ia64 powerpc sparc
Description: Qt 4 Test Smoke library
 Smoke libraries are part of the bindings used for Qt and KDE. This package
 contains Qt 4 Test Smoke.
 .
 Smoke provides infrastructure which is used for creating bindings for
 multiple languages such as Ruby, C# and PHP.
 .
 This is part of the KDE Bindings module.

Package: libsmokeqtuitools4-3
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: libsmokeqt4-3 (<< 4:4.4.80)
Architecture: i386 amd64 ia64 powerpc sparc
Description: Qt 4 Ui Tools Smoke library
 Smoke libraries are part of the bindings used for Qt and KDE. This package
 contains Qt 4 Ui Tools Smoke.
 .
 Smoke provides infrastructure which is used for creating bindings for
 multiple languages such as Ruby, C# and PHP.
 .
 This is part of the KDE Bindings module.

Package: libsmokeqtwebkit4-3
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: libsmokeqt4-3 (<< 4:4.4.80)
Architecture: i386 amd64 ia64 powerpc sparc
Description: Qt 4 WebKit Smoke library
 Smoke libraries are part of the bindings used for Qt and KDE. This package
 contains Qt 4 WebKit Smoke.
 .
 Smoke provides infrastructure which is used for creating bindings for
 multiple languages such as Ruby, C# and PHP.
 .
 This is part of the KDE Bindings module.

Package: libsmokeqtxml4-3
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: libsmokeqt4-3 (<< 4:4.4.80)
Architecture: i386 amd64 ia64 powerpc sparc
Description: Qt 4 Xml Smoke library
 Smoke libraries are part of the bindings used for Qt and KDE. This package
 contains Qt 4 Xml Smoke.
 .
 Smoke provides infrastructure which is used for creating bindings for
 multiple languages such as Ruby, C# and PHP.
 .
 This is part of the KDE Bindings module.

Package: libsmokeqtxmlpatterns4-3
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: libsmokeqt4-3 (<< 4:4.4.80)
Architecture: i386 amd64 ia64 powerpc sparc
Description: Qt 4 XmlPatterns Smoke library
 Smoke libraries are part of the bindings used for Qt and KDE. This package
 contains Qt 4 XmlPatterns Smoke.
 .
 Smoke provides infrastructure which is used for creating bindings for
 multiple languages such as Ruby, C# and PHP.
 .
 This is part of the KDE Bindings module.

Package: libsmokephonon3
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: libsmokeqt4-3 (<< 4:4.4.80)
Architecture: i386 amd64 ia64 powerpc sparc
Description: Qt 4 Phonon Smoke library
 Smoke libraries are part of the bindings used for Qt and KDE. This package
 contains Phonon Smoke.
 .
 Smoke provides infrastructure which is used for creating bindings for
 multiple languages such as Ruby, C# and PHP.
 .
 This is part of the KDE Bindings module.

Package: libsmokeqt4-dev
Section: libdevel
Depends: ${so:Depends}, ${shlibs:Depends}, ${misc:Depends}
Architecture: i386 amd64 ia64 powerpc sparc
Description: development files for Qt 4 Smoke libraries
 Smoke libraries are part of the bindings used for Qt and KDE. This package
 contains pure Qt 4 Smoke.
 .
 Smoke provides infrastructure which is used for creating bindings for
 multiple languages such as Ruby, C# and PHP.
 .
 This package contains development files.
 .
 This is part of the KDE Bindings module.

Package: libsmokeqimageblitz3
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Architecture: i386 amd64 ia64 powerpc sparc
Description: QImageBlitz Smoke libraries
 Smoke libraries are part of the bindings used for Qt and KDE. This package
 contains QImageBlitz Smoke.
 .
 Smoke provides infrastructure which is used for creating bindings for
 multiple languages such as Ruby, C# and PHP.
 .
 This is part of the KDE Bindings module.

Package: libsmokekdecore4-3
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: libsmokekde4-3 (<< 4:4.4.80)
Architecture: i386 amd64 ia64 powerpc sparc
Description: KDE Core Smoke libraries
 Smoke libraries are part of the bindings used for Qt and KDE. This package
 contains the KDE 4 Core parts of Smoke.
 .
 Smoke provides infrastructure which is used for creating bindings for
 multiple languages such as Ruby, C# and PHP.
 .
 This is part of the KDE Bindings module.

Package: libsmokekdeui4-3
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: libsmokekde4-3 (<< 4:4.4.80) 
Architecture: i386 amd64 ia64 powerpc sparc
Description: KDE Ui Smoke libraries
 Smoke libraries are part of the bindings used for Qt and KDE. This package
 contains the KDE 4 User Interface parts of Smoke.
 .
 Smoke provides infrastructure which is used for creating bindings for
 multiple languages such as Ruby, C# and PHP.
 .
 This is part of the KDE Bindings module.

Package: libsmokekfile3
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
